package com.chinaitop.depot.intelligent.basicdata.service;

import com.chinaitop.depot.intelligent.basicdata.model.TJctable;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface QuantityService {
    List<TJctable> getList(String cfCode,String orgId);

    TJctable getById(String id);

    void save(String grainJson);

	int deleteById(String id, String quantityJson);

    boolean getBycfCode(String vdevcode, String vdevname,String orgId);

    void insertBatch(List<TJctable> tJctables);

    List<TJctable> getByCodeAndTimes(List<String> cDcsCodes, List<Date> cTimes);

    List<TJctable> getByCode(String jcCode);

    String synchronizationAll(String orgId);

    List<TJctable> getByCodes(List<String> jcCodes);
}
